%define upstream_name    CPANPLUS-Shell-Default-Plugins-Prereqs
%define upstream_version 0.08

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Plugin for CPANPLUS to automate
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/CPANPLUS/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CPANPLUS) >= 0.770.0
BuildRequires: perl(CPANPLUS::Dist::Build)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::CaptureOutput) >= 1.110.200
BuildRequires: perl(Module::Build) >= 0.360.0
BuildRequires: perl(Module::Install)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
A plugin for CPANPLUS's default shell which will display and/or install any
missing prerequisites for a module. The module can be specified by name, as
a URL or path to the directory of an unpacked module. The plugin assumes
the current directory if no module is specified.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%check
#./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc Changes INSTALL META.json META.yml MYMETA.yml README samples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Tue Mar 06 2012 jquelin <jquelin> 0.80.0-1.mga2
+ Revision: 220152
- update to 0.08

* Wed Jan 26 2011 jquelin <jquelin> 0.70.0-1.mga1
+ Revision: 41234
- mageia rebuild
- imported package perl-CPANPLUS-Shell-Default-Plugins-Prereqs

